We Are Trusted by
1
8
8
7
2
Customers
Our Themes & Plugins

X-Gym Changelog

Version v1.5 Date: 10/12/2021

  • NEW"Timetable and Event Schedule" is now installed from our remote source (this plugin is only for Envato authors who want to provide item support to their customers via WordPress) - the plugin is also inside the package (under /plugins/ directory);
  • NEWRemoved Google Plus sharing button;
  • UPDATED Bundled plugins;
  • IMPROVEDSEO: Speed Improvements;
  • IMPROVEDSEO: Changed widget titles from H1 to H3 (from the footer);
  • IMPROVEDReplace H1 HTML tag from logo with div HTML tag;
  • FIXEDWordPress 5.8: white screen when accessing the widgets area;
  • FIXEDTheme Panel - Preloader animations showing HTML code instead of animations;
  • FIXEDNotice: Trying to access array offset on value of type null in functions.php on line 19;
  • FIXEDNotice: Trying to access array offset on value of type null in custom-functions.header.php on line 202;
  • FIXEDNotice: Trying to access array offset on value of type null in custom-functions.footer.php on line 301;

Version v1.4 Date: 08/05/2020

  • New Recommended PHP Configuration Limits in ModelTheme Framework; Demo Importer;
  • Improved Demo Importer.
  • Updated .POT translation file from the theme;
  • Updated All bundled plugins are now updated to latest version;
  • Fixed Warning: count(): Parameter must be an array or an object that implements Countable dynamic-featured-image.php on line 155

Version v1.3 Date: 08/13/2019

  • Updated Bundled plugins;
  • Fixed A PHP error on single blog post pages;

Version v1.2 Date: 07/02/2019

  • Updated All bundled plugins are now updated to latest version;
  • Updated WooCommerce outdated templates from the theme;
  • Fixed A PHP Notice while installing bundled plugins;

Version v1.1.1 Plugin Update Date: 06/06/2019

  • New PHP v7.3 compatibility added;
  • Fixed [PHP v7.3] - Warning: count(): Parameter must be an array or an object that implements Countable in modeltheme-framework/init.php on line 746;
Note: Reinstall the plugin "ModelTheme Framework", in order to get rid of the error.

Version v1.1.1 Date: 02/28/2019

  • New All JS frameworks are now included separately. This prevents double loading issues.;
  • Updated All bundled plugins are now updated to latest version;
  • Improved Support for Gutenberg WP5 Editor;
  • Improved Documentation -> Changelog / Sliders;

Version v1.1 Date: 01/29/2019

  • Updated All Outdated WooCommerce bundled templates;
  • Updated ModelTheme Framework to v1.3;
  • New WordPress 5 / New WP Requirements Compliant;
  • New All bundled plugins are now updated to latest version;
  • New Full WordPress v5 Compatibility with Gutenberg Styling;
  • Fixed Notice: WC_Cart::get_cart_url is deprecated since version 2.5! Use wc_get_cart_url instead.;